<?php

namespace App\Controller;

use App\Connexion;
use App\Gateway\AuthGateway;
use App\Gateway\TacticInfoGateway;
use App\Http\HttpResponse;
use App\Http\ViewHttpResponse;
use App\Model\AuthModel;
use App\Model\TacticModel;

class UserController {
    private TacticModel $tacticMdl;
    private AuthModel $accountMdl;

    public function __construct()
    {
        $con = new Connexion(get_database());
        $this->tacticMdl = new TacticModel(new TacticInfoGateway($con));
        $this->accountMdl = new AuthModel(new AuthGateway($con));
    }

    public function home(): HttpResponse {
        $listTactic = $this->tacticMdl->getLast(5);
        return ViewHttpResponse::twig("home.twig", ["recentTactic" => $listTactic]);
    }

    public function default(): HttpResponse {
        return self::home();
    }
}
